MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025916Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-03-11 19:372021-01-19 12:41
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusfeedbackResolutionopen 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.5.0Fixed in Version[OCCT] 7.5.0 
Summary0025916: Modeling Algorithms - Exception during execution thickening of shell
DescriptionThere are exceptions if test cases after command thickshell.
bugs modalg_2 bug21261_15:
...
Draw[]> thickshell res s -5
An exception was caught 5D74E4AC : Standard_ConstructionError: Offset with no C1 Surface
** Exception ** 5D74E4AC : Standard_ConstructionError: Offset with no C1 Surface

...

bugs modalg_2 bug21261_21
...
Draw[17]> thickshell res s -5
An exception was caught 5D74E4AC : Standard_ConstructionError: BRepOffset_MakeOffset : Incorrect set 
of faces to remove, the remaining shell is not connected
** Exception ** 5D74E4AC : Standard_ConstructionError: BRepOffset_MakeOffset : Incorrect set of faces 
to remove, the remaining shell is not connected

...
Steps To Reproducetest bugs modalg_2 bug21261_15 bug21261_21
TagsNo tags attached.
Test case numberbugs modalg_2 bug21261_15, bug21261_21
Attached Files

- Relationships

-  Notes
(0069245)
mkv (tester)
2017-08-09 14:56

Problem described in issue is reproduced on current state of OCCT.
(0092886)
szy (manager)
2020-07-02 11:22

Analyze, please the issue.
Rules to be used you can find in public documentation (chapter "Developers Guides):
https://www.opencascade.com/doc/occt-7.4.0/overview/html/occt_dev_guides__contribution_workflow.html [^]
(0093407)
utverdov (manager)
2020-07-30 18:00

Sergey, I assigned it back to you as Nikolay is no longer available to work on this task.
(0098191)
akaftasev (developer)
2021-01-19 11:01

Test case bugs modalg_2 bug21261_15 is OK in current version.
Test case bugs modalg_2 bug21261_21 has no exception: in BRepOffset_MakeOffset exist exit code for not connected shells.
(0098192)
kgv (developer)
2021-01-19 11:05
edited on: 2021-01-19 11:06

Andrey, if issue is not reproducible on current master, please first check in which OCCT release it has been fixed to set properly "Fixed in Version"
(ideally, it is desired also finding the patch which has solved the issue).

(0098195)
akaftasev (developer)
2021-01-19 11:46

Current bug was fixed by two branches: #26556 and #31735

- Issue History
Date Modified Username Field Change
2015-03-11 19:37 apn New Issue
2015-03-11 19:37 apn Assigned To => msv
2015-04-17 00:02 abv Target Version 6.9.0 => 7.1.0
2016-10-28 17:52 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:22 msv Target Version 7.2.0 => 7.3.0
2017-08-09 14:56 mkv Test case number => bugs modalg_2 bug21261_15, bug21261_21
2017-08-09 14:56 mkv Note Added: 0069245
2017-12-05 17:00 msv Target Version 7.3.0 => 7.4.0
2019-08-12 16:43 msv Target Version 7.4.0 => 7.5.0
2020-07-02 11:22 szy Note Added: 0092886
2020-07-02 11:22 szy Assigned To msv => BohdanMikalai
2020-07-02 11:22 szy Status new => assigned
2020-07-30 17:59 utverdov Assigned To BohdanMikalai => szy
2020-07-30 18:00 utverdov Note Added: 0093407
2020-09-14 09:13 szy Target Version 7.5.0 => 7.6.0*
2020-11-24 16:31 szy Assigned To szy => apn
2020-11-24 16:32 szy Assigned To apn => akaftasev
2021-01-19 11:01 akaftasev Note Added: 0098191
2021-01-19 11:01 akaftasev Assigned To akaftasev => bugmaster
2021-01-19 11:01 akaftasev Status assigned => feedback
2021-01-19 11:05 kgv Note Added: 0098192
2021-01-19 11:05 kgv Assigned To bugmaster => akaftasev
2021-01-19 11:05 kgv Status feedback => assigned
2021-01-19 11:06 kgv Note Edited: 0098192 View Revisions
2021-01-19 11:25 kgv Product Version => 6.9.0
2021-01-19 11:40 kgv Relationship added related to 0026556
2021-01-19 11:40 kgv Relationship added related to 0031735
2021-01-19 11:41 kgv Summary Exception during execution thickening of shell => Modeling Algorithms - Exception during execution thickening of shell
2021-01-19 11:41 kgv Description Updated View Revisions
2021-01-19 11:46 akaftasev Note Added: 0098195
2021-01-19 11:46 akaftasev Fixed in Version => 7.5.0
2021-01-19 12:03 akaftasev Assigned To akaftasev => bugmaster
2021-01-19 12:03 akaftasev Status assigned => feedback
2021-01-19 12:41 kgv Target Version 7.6.0* => 7.5.0


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker